package com.fs.erp.service;

import com.fs.erp.domain.ErpOrder;
import com.fs.erp.domain.ErpRefundOrder;
import com.fs.erp.domain.ErpUser;
import com.fs.erp.dto.*;

public interface IErpOrderService
{

    ErpOrderResponse addOrder(ErpOrder order);

    //用户发起退款，然后后台审核通过后，提交退款单
    ErpOrderResponse refundOrder(ErpRefundOrder order);

    ErpDeliverysResponse getDeliver(ErpDeliverysRequest param);

    ErpOrderQueryResponse getOrder(ErpOrderQueryRequert param);

    BaseResponse refundUpdate(ErpRefundUpdateRequest param);

    /**
     * erp订单确认收货
     *
     * @param order 订单
     * @return 确定
     */
    ErpOrderResponse finishOrder(ErpOrder order);
}

